xine-lib: xine-lib-1.2.13/src/input/input_pnm.c File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Macros | Functions
input_pnm.c File Reference
`#include <unistd.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include "bswap.h"`
`#include <xine/xine_internal.h>`
`#include <xine/xineutils.h>`
`#include <xine/input_plugin.h>`
`#include "pnm.h"`
`#include "net_buf_ctrl.h"`
`#include "input_helper.h"`
`#include "group_network.h"`

## Data Structures
struct | pnm_input_plugin_t

## Macros
#define | LOG_MODULE "input_pnm"
#define | LOG_VERBOSE
#define | BUFSIZE 4096

## Functions
static off_t | pnm_plugin_read (input_plugin_t *this_gen, void *buf_gen, off_t len)
static off_t | pnm_plugin_seek (input_plugin_t *this_gen, off_t offset, int origin)
static off_t | pnm_plugin_get_length (input_plugin_t *this_gen)
static uint32_t | pnm_plugin_get_capabilities (input_plugin_t *this_gen)
static off_t | pnm_plugin_get_current_pos (input_plugin_t *this_gen)
static void | pnm_plugin_dispose (input_plugin_t *this_gen)
static const char * | pnm_plugin_get_mrl (input_plugin_t *this_gen)
static int | pnm_plugin_get_optional_data (input_plugin_t *this_gen, void *data, int data_type)
static int | pnm_plugin_open (input_plugin_t *this_gen)
static input_plugin_t * | pnm_class_get_instance (input_class_t *cls_gen, xine_stream_t *stream, const char *data)
void * | input_pnm_init_class (xine_t *xine, const void *data)

## Macro Definition Documentation

## ◆ BUFSIZE

#define BUFSIZE 4096

## ◆ LOG_MODULE

#define LOG_MODULE "input_pnm"

## ◆ LOG_VERBOSE

#define LOG_VERBOSE

## Function Documentation

## ◆ input_pnm_init_class()

void * input_pnm_init_class | ( | xine_t * | xine,
|  | const void * | data )

References input_plugin_s::dispose, input_class_s::get_instance, N_, NULL, and pnm_class_get_instance().

## ◆ pnm_class_get_instance()

static input_plugin_t * pnm_class_get_instance | ( | input_class_t * | cls_gen,
|  | xine_stream_t * | stream,
|  | const char * | data )
| static

References _x_input_default_get_blocksize(), _x_input_default_read_block(), nbc_init, NULL, pnm_plugin_dispose(), pnm_plugin_get_capabilities(), pnm_plugin_get_current_pos(), pnm_plugin_get_length(), pnm_plugin_get_mrl(), pnm_plugin_get_optional_data(), pnm_plugin_open(), pnm_plugin_read(), and pnm_plugin_seek().

Referenced by input_pnm_init_class().

## ◆ pnm_plugin_dispose()

static void pnm_plugin_dispose | ( | input_plugin_t * | this_gen | ) |
| static

References nbc_close, NULL, and pnm_close().

Referenced by pnm_class_get_instance().

## ◆ pnm_plugin_get_capabilities()

static uint32_t pnm_plugin_get_capabilities | ( | input_plugin_t * | this_gen | ) |
| static

References INPUT_CAP_PREVIEW, and INPUT_CAP_RIP_FORBIDDEN.

Referenced by pnm_class_get_instance().

## ◆ pnm_plugin_get_current_pos()

static off_t pnm_plugin_get_current_pos | ( | input_plugin_t * | this_gen | ) |
| static

Referenced by pnm_class_get_instance().

## ◆ pnm_plugin_get_length()

static off_t pnm_plugin_get_length | ( | input_plugin_t * | this_gen | ) |
| static

Referenced by pnm_class_get_instance().

## ◆ pnm_plugin_get_mrl()

static const char * pnm_plugin_get_mrl | ( | input_plugin_t * | this_gen | ) |
| static

Referenced by pnm_class_get_instance().

## ◆ pnm_plugin_get_optional_data()

static int pnm_plugin_get_optional_data | ( | input_plugin_t * | this_gen,
|  | void * | data,
|  | int | data_type )
| static

References INPUT_OPTIONAL_DATA_PREVIEW, INPUT_OPTIONAL_UNSUPPORTED, MAX_PREVIEW_SIZE, and pnm_peek_header().

Referenced by pnm_class_get_instance().

## ◆ pnm_plugin_open()

static int pnm_plugin_open | ( | input_plugin_t * | this_gen | ) |
| static

References lprintf, and pnm_connect().

Referenced by pnm_class_get_instance().

## ◆ pnm_plugin_read()

static off_t pnm_plugin_read | ( | input_plugin_t * | this_gen,
|  | void * | buf_gen,
|  | off_t | len )
| static

References lprintf, and pnm_read().

Referenced by pnm_class_get_instance().

## ◆ pnm_plugin_seek()

static off_t pnm_plugin_seek | ( | input_plugin_t * | this_gen,
|  | off_t | offset,
|  | int | origin )
| static

References _x_input_seek_preview(), XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by pnm_class_get_instance().